local math = math
local pi = math.pi

function drawSky()
    local ss = 1 / pixelScale
	local sx = -((sky.img:getWidth() / (pi * 2)) * (player.rot % (pi * 2)))
	local sy = -(sky.img:getHeight() - (windowHeight * player.eyeHeight))
	for i = -1, 1 do
	    setColor(255,255,255)
		draw(sky.img, sx + (sky.img:getWidth() * i), sy, 0, 1 / pixelScale, 1 / pixelScale)
	end
end

function processFloor()
--	setCanvas(groundInner)
--	setColor(255,255,255)
--	love.graphics.circle("fill", mapEnemy[1].x * tileSize, mapEnemy[1].y * tileSize, 2)

    local x, y, a, ox, oy = ground:getWidth() / 2, ground:getHeight(), -player.rot - deg90, player.x * tileSize, player.y * tileSize

	setCanvas(ground)
	ground:clear(0,0,0)

	setColor(255,255,255)
	draw(groundInner, x, y, a, 1, 1, ox, oy)

    --love.graphics.setBlendMode("multiplicative")
	draw(groundLight, x, y, a, 1, 1, ox, oy)

    --love.graphics.setBlendMode("alpha")

end

function drawFloor()
    local ss = 1 / pixelScale
	local t = love.timer.getTime()

	local fy0 = furthestBottom
	local rayScreenPos = furthestWall
	local rayViewDist = math.sqrt(rayScreenPos * rayScreenPos + viewDist * viewDist)
	local rayAngle = math.asin(rayScreenPos / rayViewDist)
	local cosAng = math.cos(rayAngle)

	for y = fy0, screenHeight-1 do
		if cosAng ==0 then cosAng=0.0001 end
		local dist = ((viewDist * ((64 * (1-player.eyeHeight)))/(y - screenHeight * player.eyeHeight)) / cosAng) / tileSize

		local size = rayViewDist / dist /tileSize * pixelScale

		local q = math.floor(dist * tileSize)
		if q > 2047 then q = 2047 end
		if q < 0 then q = 0 end

		local lum = 1-(dist/fog_dist)
		if lum < 0 then lum = 0 end
		lum = lum * ambient_light

		setColor(255*lum,255*lum,255*lum)
		drawq(ground, groundQuad[q], (windowWidth / 2) * ss, y, 0, size, 1, 1024 * ss, 0)
	end

	debugger.time.drawFloor = love.timer.getTime() - t
end

function drawCeiling()
--[[
    local ss = 1 / pixelScale
	local t = love.timer.getTime()

	local fy0 = furthestBottom
	local rayScreenPos = furthestWall
	local rayViewDist = math.sqrt(rayScreenPos * rayScreenPos + viewDist * viewDist)
	local rayAngle = math.asin(rayScreenPos / rayViewDist)
	local cosAng = math.cos(rayAngle)

	for y = fy0, screenHeight-1 do
		if cosAng ==0 then cosAng=0.0001 end
		local dist = ((viewDist * ((64 * (player.eyeHeight)))/(y - screenHeight * player.eyeHeight)) / cosAng) / tileSize

		local size = rayViewDist / dist /tileSize * pixelScale

		local q = math.floor(dist * tileSize)
		if q > 2047 then q = 2047 end
		if q < 0 then q = 0 end

		local lum = 1-(dist/fog_dist)
		if lum < 0 then lum = 0 end
		lum = lum * ambient_light

		setColor(255*lum,255*lum,255*lum)
		drawq(ground, groundQuad[q], (windowWidth / 2) * ss, y, 0, size, 1, 1024 * ss, 0)
	end

	debugger.time.drawFloor = love.timer.getTime() - t
]]
end

function drawGround()
	love.graphics.setFont(font["dialog"])
	setCanvas(groundInner)
	for x = 1, mapWidth do
		for y = 1, mapHeight do
			setColor(255,255,255,255)
        	love.graphics.setBlendMode("alpha")
			drawq(floorImg, floorQuad[floor[x][y]], (x-1) * 64, (y-1) * 64)
			if doorMap[x][y].kind ~= "" then
				grPrint(doorMap[x][y].kind .. "\n" .. doorMap[x][y].state .. "\n" .. doorMap[x][y].orientation .. "\n" .. x .. ", " .. y, (x-1) * 64 + 2, (y-1) * 64 + 2)
			end
        end
	end
	setCanvas()

	setCanvas(groundInner)
    --love.graphics.setBlendMode("subtractive")
--	love.graphics.rectangle("fill", 0,0,mapWidth,mapHeight)
--[[    for i = 1, 100 do
        love.graphics.setColor(255,255,255,math.random(0,255))
        love.graphics.circle("fill", math.random(1,mapWidth*tileSize), math.random(1,mapHeight*tileSize), tileSize)
    end]]
    --love.graphics.setBlendMode("alpha")
	setCanvas()
end