local math = math
local love = love

function setupMenu()
	menu = {
		opened = false,
		options = {
			[1] = {
				title = "Screen Scale: ",
				value = pixelScale,
				onLeft = function(self)
					pixelScale = pixelScale - 1
					if pixelScale < 1 then pixelScale = 2 end
					self.value = pixelScale
				end,
				onRight = function(self)
					pixelScale = pixelScale + 1
					if pixelScale > 2 then pixelScale = 1 end
					self.value = pixelScale
				end
			},
			[3] = {
				title = "Ambient Light: ",
				value = fog_dist,
				onLeft = function(self)
					fog_dist = fog_dist - 5
					if fog_dist < 0 then fog_dist = 0 end
					self.value = fog_dist
				end,
				onRight = function(self)
					fog_dist = fog_dist + 5
					self.value = fog_dist
				end
			},
			[2] = {
				title = "Screen Resolution: ",
				value = "X",
				valNum = 0,
				onLeft = function(self)
					self.valNum = self.valNum + 1
					if self.valNum > #menu.screenmodes then self.valNum = #menu.screenmodes end
					self.value = menu.screenmodes[menu.options[2].valNum].width .. "x" .. menu.screenmodes[menu.options[2].valNum].height
				end,
				onRight = function(self)
					self.valNum = self.valNum - 1
					if self.valNum < 1 then self.valNum = 1 end
					self.value = menu.screenmodes[menu.options[2].valNum].width .. "x" .. menu.screenmodes[menu.options[2].valNum].height
				end
			},
			[4] = {
				title = "Levels: ",
				value = 1,
				onLeft = function(self)
					mapLevels = mapLevels - 1
					if mapLevels < 1 then mapLevels = 1 end
					self.value = mapLevels
				end,
				onRight = function(self)
					mapLevels = mapLevels + 1
					if mapLevels > 10 then mapLevels = 10 end
					self.value = mapLevels
				end
			}
		},
		selection = 1,
		screenmodes = love.graphics.getModes()
	}
	--menu.options[2].valNum = getScreenRes()
	--menu.options[2].value = menu.screenmodes[menu.options[2].valNum].width .. "x" .. menu.screenmodes[menu.options[2].valNum].height
end

function openMenu()
	menu.opened = true
	menu.prevSM = menu.options[2].valNum
end

function displayMenu()
	setColor(255,255,255)
	grPrint("MENU!", 2, 2)

	y = 20
	for i = 1, #menu.options do
		if i == menu.selection then
			setColor(255,255,0)
		else
			setColor(255,255,255)
		end
		grPrint(menu.options[i].title, 20, y)
		grPrint(menu.options[i].value, 130, y)
		y = y + 10
	end
end

function closeMenu()
	menu.opened = false
	if menu.prevSM ~= menu.options[2].valNum then
	local success = love.graphics.setMode(
		menu.screenmodes[menu.options[2].valNum].width, menu.screenmodes[menu.options[2].valNum].height)
	end
	setupVariables()
	createCanvases()
	setupMiniMap()
	drawMiniMap()
end
