local math = math
local love = love

function drawMiniMap()
	local miniMapOffsetX = windowWidth / 2
	local miniMapOffsetY = windowHeight / 2
	local mx = player.x * miniMapScale
	local my = player.y * miniMapScale

	setColor(255,255,255,175)
	draw(mapCanvas, miniMapOffsetX, miniMapOffsetY, -player.rot - math.rad(90), miniMapZoom, miniMapZoom, mx, my)

	setColor( 255,255,0,255)
	love.graphics.circle("fill", math.floor(miniMapOffsetX), math.floor(miniMapOffsetY), miniMapScale * .3 * miniMapZoom)

	love.graphics.setLineWidth(2)
	love.graphics.line(miniMapOffsetX, miniMapOffsetY, miniMapOffsetX, miniMapOffsetY - 10 * miniMapZoom)
end

function setupMiniMap()
	setCanvas(mapCanvas)

	love.graphics.push()
	love.graphics.translate(-miniMapScale, -miniMapScale)
	--setColor(0,0,0,200)
	--love.graphics.rectangle("fill", 0, 0, miniMap.width, miniMap.height)
	local i=1
	for y=1,mapHeight do
		for x=1,mapWidth do
			local	wall = map[i]

			if spriteMap[x-1][y-1] > -1 and sprite[spriteMap[x-1][y-1]].solid == true then
				setColor(0,255,0)
				love.graphics.rectangle("fill", x * miniMapScale + (miniMapScale * .9), y * miniMapScale + (miniMapScale * .9), miniMapScale - (miniMapScale * .9) * 2, miniMapScale - (miniMapScale * .9) * 2)
			end

			if (wall > 0)	then
				setColor(255,255,255)
				love.graphics.rectangle("fill", x * miniMapScale , y * miniMapScale, miniMapScale, miniMapScale)
			end
			i = i + 1
		end
	end
	setCanvas()
	print("Mini Map: ", miniMap.width, miniMap.height)
	love.graphics.pop()
end
