function testbedDraw()
    local scaledTile = tileSize * .5
    love.graphics.push()
    love.graphics.translate(-scaledTile, -scaledTile)

    love.graphics.setLineWidth(2)

    for x = 1, mapWidth do
        for y = 1, mapHeight do
            local f = floor[x][y]
--            love.graphics.setColor(255,255,255)
--            love.graphics.drawq(floorImg, floorQuad[f], x * scaledTile, y * scaledTile, 0, editor.zoom, editor.zoom)

            local t = level[x][y]
            if t > 0 then
--                love.graphics.setColor(255,255,255)
--                love.graphics.drawq(wallImg, editorWall[t], x * scaledTile, y * scaledTile, 0, editor.zoom, editor.zoom)
                love.graphics.setColor(255,255,255)
                love.graphics.rectangle("fill", x * scaledTile, y * scaledTile, scaledTile, scaledTile)
            end
        end
    end

    for i = 1, #mapDoor do
        if mapDoor[i].opened == false then
            local t = mapDoor[i].texture
            love.graphics.drawq(wallImg, editorWall[t], mapDoor[i].x * scaledTile, mapDoor[i].y * scaledTile, 0, editor.zoom, editor.zoom)
        end
    end

    love.graphics.pop()

    for i = 1, #mapEnemy do
        love.graphics.setColor(255,0,0)
        love.graphics.circle("line", mapEnemy[i].x * scaledTile, mapEnemy[i].y * scaledTile, mapEnemy[i].rad * scaledTile)
        love.graphics.line(mapEnemy[i].x * scaledTile, mapEnemy[i].y * scaledTile, (mapEnemy[i].x + math.cos(mapEnemy[i].rot) * mapEnemy[i].rad) * scaledTile, (mapEnemy[i].y + math.sin(mapEnemy[i].rot) * mapEnemy[i].rad) * scaledTile)
    end

    for i = 1, #mapItems do
        if itemType[mapItems[i].type].solid then
            love.graphics.setColor(255,255,255)
            love.graphics.circle("line", (mapItems[i].x) * scaledTile, (mapItems[i].y) * scaledTile, itemType[mapItems[i].type].rad * scaledTile)
        end
    end

    love.graphics.setColor(0,255,0)
    love.graphics.circle("line", player.x * scaledTile, player.y * scaledTile, player.rad * scaledTile)
    love.graphics.line(player.x * scaledTile, player.y * scaledTile, (player.x + math.cos(player.rot) * player.rad) * scaledTile, (player.y + math.sin(player.rot) * player.rad) * scaledTile)

    local t = ""
    t = t .. mx .. ", " .. my
    love.graphics.setFont(font["dialog"])
    setColor(0,0,0)
    grPrint(t, 3, 3)
    setColor(255,255,255)
    grPrint(t, 2, 2)
end